Skip to main content

Endpoint

GET https://api.eachlabs.ai/v1/webhooks/{execution_id}

Path Parameters

ParameterTypeRequiredDescription
execution_idstringYesExecution ID for tracking the webhook

Code Examples

curl https://api.eachlabs.ai/v1/webhooks/abc123-def456-ghi789 \
  -H "X-API-Key: YOUR_API_KEY"

Response

{
  "execution_id": "abc123-def456-ghi789",
  "url": "https://api.example.com/webhook",
  "request": "{\"event\":\"prediction.completed\"}",
  "headers": {
    "Content-Type": "application/json"
  },
  "source": "api-gateway",
  "created_at": "2025-12-14T10:30:00Z",
  "attempts": [
    {
      "status": "FAILED",
      "status_code": 500,
      "response": "{\"error\":\"internal error\"}",
      "error_message": null,
      "created_at": "2025-12-14T10:30:05Z"
    },
    {
      "status": "SUCCESS",
      "status_code": 200,
      "response": "{\"received\":true}",
      "error_message": null,
      "created_at": "2025-12-14T10:31:05Z"
    }
  ]
}

Attempt Fields

FieldTypeDescription
statusstringPENDING, SUCCESS, or FAILED
status_codeinteger | nullHTTP status from your endpoint
responsestring | nullResponse body from your endpoint
error_messagestring | nullError details if delivery failed
created_atstringWhen the attempt was made

Error Responses

StatusBodyDescription
400{"error": "invalid execution_id"}Invalid execution ID format
404{"error": "webhook not found"}No webhook found for this execution
500{"error": "Internal server error"}Server error
Last modified on March 6, 2026